-- name: [CS] Ale
-- description: Look at me im Ale\n\n\\#ff7777\\This Pack requires Character Select\nto use as a Library!

local E_MODEL_ALE = smlua_model_util_get_id("ale_geo")

local TEX_ALE_ICON = get_texture_info("ale-icon")

local TEXT_MOD_NAME = "Ale"

local VOICETABLE_ALE = {
    [CHAR_SOUND_ATTACKED] = {'attacked.ogg', 'attacked_2.ogg', 'attacked_3.ogg'},
    [CHAR_SOUND_COUGHING1] = {'coughing.ogg', 'coughing_2.ogg', 'coughing_3.ogg'},
    [CHAR_SOUND_COUGHING2] = 'coughing_2.ogg',
    [CHAR_SOUND_COUGHING3] = 'coughing_3.ogg',
    [CHAR_SOUND_DOH] = {'doh.ogg', 'doh_2.ogg', 'doh_3.ogg'},
    [CHAR_SOUND_DROWNING] = 'drowing.ogg',
    [CHAR_SOUND_DYING] = 'dying.ogg',
    [CHAR_SOUND_EEUH] = {'eeuh.ogg', 'eeuh_2.ogg', 'eeuh_3.ogg'},
    [CHAR_SOUND_GROUND_POUND_WAH] = {'ground_pound_wah.ogg', 'ground_pound_wah_2.ogg'},
    [CHAR_SOUND_HAHA] = {'haha.ogg', 'wah2.ogg'}, 
    [CHAR_SOUND_HAHA_2] = 'drowing.ogg',
    [CHAR_SOUND_HERE_WE_GO] = {'here_we_go.ogg', 'here_we_go_2.ogg', 'here_we_go_3.ogg', 'here_we_go_4.ogg'},
    [CHAR_SOUND_HOOHOO] = 'wah2.ogg',
    [CHAR_SOUND_HRMM] = 'hrmm.ogg',
    [CHAR_SOUND_MAMA_MIA] = {'game_over.ogg', 'game_over_2.ogg'},
    [CHAR_SOUND_LETS_A_GO] = {'lets_a_go.ogg', 'lets_a_go_2.ogg', 'lets_a_go_3.ogg'},
    [CHAR_SOUND_ON_FIRE] = 'on_fire.ogg',
    [CHAR_SOUND_OOOF] = {'oof.ogg', 'oof_2.ogg', 'oof_4.ogg'},
    [CHAR_SOUND_OOOF2] = 'oof_3.ogg',
    [CHAR_SOUND_PANTING] =  'panting.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'punch_yah.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'punch_wah.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'punch_hoo.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'so_longa_bowser.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'twirl_bounce.ogg',
    [CHAR_SOUND_UH] = 'uh.ogg',
    [CHAR_SOUND_UH2] = {'uh_2.ogg', 'uh_3.ogg'},
    [CHAR_SOUND_UH2_2] = {'uh_2.ogg', 'uh_3.ogg'},
    [CHAR_SOUND_WAAAOOOW] = 'waaaooow.ogg',
    [CHAR_SOUND_WAH2] = 'wah2.ogg',
    [CHAR_SOUND_WHOA] = 'whoa.ogg',
    [CHAR_SOUND_YAHOO] = 'yahoo.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] =  'yahoo_waha_yippee.ogg',
    [CHAR_SOUND_YAH_WAH_HOO] =  'yah_wah_hoo.ogg',
	[CHAR_SOUND_YAWNING] = 'yawning.ogg',
	[CHAR_SOUND_SNORING1] = 'snoring_1.ogg',
    [CHAR_SOUND_SNORING2] = 'snoring_2.ogg',
    [CHAR_SOUND_SNORING3] = 'snoring_3.ogg',
	[CHAR_SOUND_IMA_TIRED] = 'ima_tired.ogg',
    [CHAR_SOUND_GAME_OVER] = {'mama_mia.ogg', 'mama_mia.ogg'},
	
}

--[[

    
}

]]
local HEALTH_METER_ALE = {
	label = {
		left = get_texture_info("healthhudback_left4"),
		right = get_texture_info("healthhudback_right4"),
	},	pie = {
		[8] = get_texture_info("ALE8"),
		[7] = get_texture_info("ALE7"),
		[6] = get_texture_info("ALE6"),
		[5] = get_texture_info("ALE5"),
		[4] = get_texture_info("ALE4"),
		[3] = get_texture_info("ALE3"),
		[2] = get_texture_info("ALE2"),
		[1] = get_texture_info("ALE1")
	}
}

if _G.charSelectExists then
    CT_ALE = _G.charSelect.character_add("Ale", {"Hello I'm Ale", "i like trains colors and spiderman! im four years old"}, "gelt", {r = 226, g = 74, b = 74}, E_MODEL_ALE, CT_MARIO, TEX_ALE_ICON)
	_G.charSelect.character_add_health_meter(CT_ALE, HEALTH_METER_ALE)
    
    _G.charSelect.character_add_voice(E_MODEL_ALE, VOICETABLE_ALE)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_ALE then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_ALE then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end