-- name: [CS] Jordan
-- description: Look at me im jortdan\n\n\\#ff7777\\This Pack requires Character Select\nto use as a Library!

local E_MODEL_JORDAN = smlua_model_util_get_id("jordan_geo")

local TEX_JORDAN_ICON = get_texture_info("jordan-icon")

local TEXT_MOD_NAME = "Jordan"

local VOICETABLE_JORDAN = {
    [CHAR_SOUND_ATTACKED] = {'JBshutup.ogg', 'JBFuckyou.ogg', 'HeavyYah.ogg'},
    [CHAR_SOUND_COUGHING1] = 'Womscar.ogg',
    [CHAR_SOUND_COUGHING2] = 'Womscar.ogg',
    [CHAR_SOUND_COUGHING3] = 'Womscar.ogg',
    [CHAR_SOUND_DOH] = 'bamboobonk.ogg',
    [CHAR_SOUND_DROWNING] = 'yodadie.ogg',
    [CHAR_SOUND_DYING] = {'Legobrik.ogg', 'Legobrik.ogg', 'Legobrik.ogg'},
    [CHAR_SOUND_EEUH] = 'halocharge.ogg',
    [CHAR_SOUND_GAME_OVER] = {'Fuckyoulong.ogg', 'Fuckyoulong.ogg'},
    [CHAR_SOUND_GROUND_POUND_WAH] = 'BWAH.ogg',
    [CHAR_SOUND_HAHA] = 'tada.ogg',
    [CHAR_SOUND_HAHA_2] = {'jbdigga.ogg', 'jbdigga.ogg'},
    [CHAR_SOUND_HELLO] = {'Womscar.ogg'},
    [CHAR_SOUND_HERE_WE_GO] = {'Banjojig.ogg', 'Yay!.ogg'},
    [CHAR_SOUND_HOOHOO] = 'Jardeath.ogg',
    [CHAR_SOUND_HRMM] = 'BloxGroan.ogg',
    [CHAR_SOUND_IMA_TIRED] = 'jbdigga.ogg',
    [CHAR_SOUND_LETS_A_GO] = 'wow!.ogg', 
    [CHAR_SOUND_MAMA_MIA] = 'Betrayal.ogg', 
    [CHAR_SOUND_OKEY_DOKEY] = 'Womscar.ogg',
    [CHAR_SOUND_ON_FIRE] = 'hot.ogg',
    [CHAR_SOUND_OOOF] = 'Creepscar.ogg',
    [CHAR_SOUND_OOOF2] = 'Womscar.ogg',
    [CHAR_SOUND_PANTING] = 'lak.ogg',
    [CHAR_SOUND_PANTING_COLD] = 'lak.ogg', 
    [CHAR_SOUND_PRESS_START_TO_PLAY] = 'Womscar.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'killamanjaro.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'killtacular.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'Doublekill.ogg',
    [CHAR_SOUND_SNORING1] = {'Creepscar.ogg'},
    [CHAR_SOUND_SNORING2] = {'hoeayh.ogg'},
    [CHAR_SOUND_SNORING3] = {'hoeayh.ogg', 'hoeayh.ogg', 'hoeayh.ogg'},
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'firemahlazar.ogg', 
    [CHAR_SOUND_TWIRL_BOUNCE] = 'Manscar.ogg',
    [CHAR_SOUND_UH] = {'JBFuckyou.ogg', 'JBshutup.ogg'},
    [CHAR_SOUND_UH2] = {'Jardeath.ogg', 'Slayer.ogg',},
    [CHAR_SOUND_UH2_2] = {'tada.ogg', 'yodadie.ogg',},
    [CHAR_SOUND_WAAAOOOW] = {'Legobrik.ogg', 'fallscar.ogg',},
    [CHAR_SOUND_WAH2] = 'galaxysling.ogg', 
    [CHAR_SOUND_WHOA] = 'gruntbirth.ogg',
    [CHAR_SOUND_YAHOO] = 'yoo.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'Perfect.ogg',
    [CHAR_SOUND_YAH_WAH_HOO] = {'pikmin!.ogg', 'pikthrow.ogg', 'louie.ogg'},
    [CHAR_SOUND_YAWNING] = 'HeavyYah.ogg',
}

--[[

    
}

]]
local HEALTH_METER_JORDAN = {
	label = {
		left = get_texture_info("healthhudback_left3"),
		right = get_texture_info("healthhudback_right3"),
	},	pie = {
		[8] = get_texture_info("JORDAN8"),
		[7] = get_texture_info("JORDAN7"),
		[6] = get_texture_info("JORDAN6"),
		[5] = get_texture_info("JORDAN5"),
		[4] = get_texture_info("JORDAN4"),
		[3] = get_texture_info("JORDAN3"),
		[2] = get_texture_info("JORDAN2"),
		[1] = get_texture_info("JORDAN1")
	}
}

if _G.charSelectExists then
    CT_JORDAN = _G.charSelect.character_add("Jordan", {"Hello I'm Jordan", "Judaism!!! but not really cuz i celebrate christmas too"}, "gelt", {r = 226, g = 74, b = 74}, E_MODEL_JORDAN, CT_MARIO, TEX_JORDAN_ICON)
	_G.charSelect.character_add_health_meter(CT_JORDAN, HEALTH_METER_JORDAN)
    
    _G.charSelect.character_add_voice(E_MODEL_JORDAN, VOICETABLE_JORDAN)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_JORDAN then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_JORDAN then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end