-- name: [CS] Ethan
-- description: Look at me im ethan\n\n\\#ff7777\\This Pack requires Character Select\nto use as a Library!

local E_MODEL_ETHAN = smlua_model_util_get_id("ethan_geo")

local TEX_ETHAN_ICON = get_texture_info("ethan-icon")

local TEXT_MOD_NAME = "Ethan"

local VOICETABLE_ETHAN = {
    [CHAR_SOUND_ATTACKED] = {'moan1.ogg', 'moan2.ogg', 'moan3.ogg'},
    [CHAR_SOUND_COUGHING1] = 'DEATH.ogg',
    [CHAR_SOUND_COUGHING2] = 'moan1.ogg',
    [CHAR_SOUND_COUGHING3] = 'moan4.ogg',
    [CHAR_SOUND_DOH] = {'moan1.ogg', 'moan4.ogg'},
    [CHAR_SOUND_DROWNING] = 'RageScream.ogg',
    [CHAR_SOUND_DYING] = {'DEATH.ogg', 'DEATH.ogg', 'DEATH.ogg'},
    [CHAR_SOUND_EEUH] = 'Sip.ogg',
    [CHAR_SOUND_GAME_OVER] = {'DEATH.ogg', 'DEATH.ogg'},
    [CHAR_SOUND_GROUND_POUND_WAH] = 'Thwomp.ogg',
    [CHAR_SOUND_HAHA] = 'Tada.ogg',
    [CHAR_SOUND_HAHA_2] = {'Subaluwa.ogg', 'Subaluwa.ogg'},
    [CHAR_SOUND_HELLO] = {'Thwomp.ogg'},
    [CHAR_SOUND_HERE_WE_GO] = {'HoodClassic.ogg', 'ItsMe.ogg'},
    [CHAR_SOUND_HOOHOO] = 'Rope.ogg',
    [CHAR_SOUND_HRMM] = 'GimmeDat.ogg',
    [CHAR_SOUND_IMA_TIRED] = 'Walks.ogg',
    [CHAR_SOUND_LETS_A_GO] = 'MakerScream.ogg', 
    [CHAR_SOUND_MAMA_MIA] = 'AnnoyingLaugh.ogg', 
    [CHAR_SOUND_OKEY_DOKEY] = 'DEATH.ogg',
    [CHAR_SOUND_ON_FIRE] = 'Aghh.ogg',
    [CHAR_SOUND_OOOF] = 'moan1.ogg',
    [CHAR_SOUND_OOOF2] = 'moan4.ogg',
    [CHAR_SOUND_PANTING] = 'HeyApple.ogg',
    [CHAR_SOUND_PANTING_COLD] = 'HeyApple.ogg', 
    [CHAR_SOUND_PRESS_START_TO_PLAY] = 'HeyApple.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'Pussy.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'Pizza.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'Yum.ogg',
    [CHAR_SOUND_SNORING1] = {'Mmm.ogg'},
    [CHAR_SOUND_SNORING2] = {'Richer.ogg'},
    [CHAR_SOUND_SNORING3] = {'Mmm.ogg', 'Mmm.ogg', 'Mmm.ogg'},
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'WtfBoom.ogg', 
    [CHAR_SOUND_TWIRL_BOUNCE] = 'Bwowow.ogg',
    [CHAR_SOUND_UH] = 'moan1.ogg',
    [CHAR_SOUND_UH2] = {'moan1.ogg', 'moan4.ogg',},
    [CHAR_SOUND_UH2_2] = {'moan2.ogg', 'moan3.ogg',},
    [CHAR_SOUND_WAAAOOOW] = {'MakerScream.ogg', 'DEATH.ogg',},
    [CHAR_SOUND_WAH2] = {'Rope.ogg', 'Rope.ogg', 'Rope.ogg', 'Rope.ogg'},
    [CHAR_SOUND_WHOA] = 'Slip.ogg',
    [CHAR_SOUND_YAHOO] = 'Wololo.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'Bombs.ogg',
    [CHAR_SOUND_YAH_WAH_HOO] = {'LampOil.ogg', 'Rupees.ogg'},
    [CHAR_SOUND_YAWNING] = 'RageScream.ogg',
}

--[[

    
}

]]
local HEALTH_METER_ETHAN = {
	label = {
		left = get_texture_info("healthhudback_left1"),
		right = get_texture_info("healthhudback_right1"),
	},	pie = {
		[8] = get_texture_info("PLANET8"),
		[7] = get_texture_info("PLANET7"),
		[6] = get_texture_info("PLANET6"),
		[5] = get_texture_info("PLANET5"),
		[4] = get_texture_info("PLANET4"),
		[3] = get_texture_info("PLANET3"),
		[2] = get_texture_info("PLANET2"),
		[1] = get_texture_info("PLANET1")
	}
}

if _G.charSelectExists then
    CT_ETHAN = _G.charSelect.character_add("Ethan", {"Hello I'm Ethan", "Mechanical Engineering!"}, "gelt", {r = 226, g = 74, b = 74}, E_MODEL_ETHAN, CT_MARIO, TEX_ETHAN_ICON)
	_G.charSelect.character_add_health_meter(CT_ETHAN, HEALTH_METER_ETHAN)
    
    _G.charSelect.character_add_voice(E_MODEL_ETHAN, VOICETABLE_ETHAN)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_ETHAN then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_ETHAN then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end