-- name: [CS] Matt
-- description: Look at me im matt\n\n\\#ff7777\\This Pack requires Character Select\nto use as a Library!

local E_MODEL_MATT = smlua_model_util_get_id("matt_geo")

local TEX_MATT_ICON = get_texture_info("matt-icon")

local TEXT_MOD_NAME = "Matt"

local VOICETABLE_MATT = {
    [CHAR_SOUND_ATTACKED] = {'frypan.ogg', 'no.ogg', 'shit.ogg'},
    [CHAR_SOUND_COUGHING1] = 'noti.ogg',
    [CHAR_SOUND_COUGHING2] = 'noti.ogg',
    [CHAR_SOUND_COUGHING3] = 'noti.ogg',
    [CHAR_SOUND_DOH] = {'fuckhead.ogg', 'shit.ogg'},
    [CHAR_SOUND_DROWNING] = 'nom.ogg',
    [CHAR_SOUND_DYING] = {'youdead.ogg', 'pain.ogg', 'pain.ogg'},
    [CHAR_SOUND_EEUH] = 'alert.ogg',
    [CHAR_SOUND_GAME_OVER] = {'youdead.ogg', 'youdead.ogg'},
    [CHAR_SOUND_GROUND_POUND_WAH] = 'piecewtf.ogg',
    [CHAR_SOUND_HAHA] = 'surprise.ogg',
    [CHAR_SOUND_HAHA_2] = {'nom.ogg', 'nom.ogg'},
    [CHAR_SOUND_HELLO] = {'screamer.ogg'},
    [CHAR_SOUND_HERE_WE_GO] = {'screamer.ogg', 'victory.ogg'},
    [CHAR_SOUND_HOOHOO] = 'get.ogg',
    [CHAR_SOUND_HRMM] = 'get.ogg',
    [CHAR_SOUND_IMA_TIRED] = 'nuke.ogg',
    [CHAR_SOUND_LETS_A_GO] = 'intro.ogg', 
    [CHAR_SOUND_MAMA_MIA] = 'fail.ogg', 
    [CHAR_SOUND_OKEY_DOKEY] = 'intro.ogg',
    [CHAR_SOUND_ON_FIRE] = 'scout.ogg',
    [CHAR_SOUND_OOOF] = 'shit.ogg',
    [CHAR_SOUND_OOOF2] = 'shit.ogg',
    [CHAR_SOUND_PANTING] = 'oh.ogg',
    [CHAR_SOUND_PANTING_COLD] = 'oh.ogg', 
    [CHAR_SOUND_PRESS_START_TO_PLAY] = 'oh.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'pow.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'pootis.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'jackpot.ogg',
    [CHAR_SOUND_SNORING1] = {'laugh.ogg'},
    [CHAR_SOUND_SNORING2] = {'laugh.ogg'},
    [CHAR_SOUND_SNORING3] = {'laugh.ogg', 'laugh.ogg', 'laugh.ogg'},
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'goku.ogg', 
    [CHAR_SOUND_TWIRL_BOUNCE] = 'bounce.ogg',
    [CHAR_SOUND_UH] = {'shit.ogg', 'sam.ogg'},
    [CHAR_SOUND_UH2] = {'no.ogg', 'dead.ogg',},
    [CHAR_SOUND_UH2_2] = {'shit.ogg', 'no.ogg',},
    [CHAR_SOUND_WAAAOOOW] = {'luffy.ogg', 'theonepiece.ogg', 'screamer.ogg'},
    [CHAR_SOUND_WAH2] = {'yah.ogg', 'yah.ogg', 'yah.ogg', 'yah.ogg'},
    [CHAR_SOUND_WHOA] = 'wah.ogg',
    [CHAR_SOUND_YAHOO] = 'pootis.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'fuckhead.ogg',
    [CHAR_SOUND_YAH_WAH_HOO] = {'woah.ogg', 'woah.ogg'},
    [CHAR_SOUND_YAWNING] = 'screamer.ogg',
}

--[[

    
}

]]
local HEALTH_METER_MATT = {
	label = {
		left = get_texture_info("healthhudback_left2"),
		right = get_texture_info("healthhudback_right2"),
	},	pie = {
		[8] = get_texture_info("GOMU8"),
		[7] = get_texture_info("GOMU7"),
		[6] = get_texture_info("GOMU6"),
		[5] = get_texture_info("GOMU5"),
		[4] = get_texture_info("GOMU4"),
		[3] = get_texture_info("GOMU3"),
		[2] = get_texture_info("GOMU2"),
		[1] = get_texture_info("GOMU1")
	}
}

if _G.charSelectExists then
    CT_MATT = _G.charSelect.character_add("Matt", {"Hello I'm MATT", "IM GONNA BE KING OF THE PIRATES!"}, "gelt", {r = 226, g = 74, b = 74}, E_MODEL_MATT, CT_MARIO, TEX_MATT_ICON)
	_G.charSelect.character_add_health_meter(CT_MATT, HEALTH_METER_MATT)
    
    _G.charSelect.character_add_voice(E_MODEL_MATT, VOICETABLE_MATT)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_MATT then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_MATT then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end